/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package database;

import com.toedter.calendar.JDateChooser;
import java.awt.Dimension;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Types;
import java.text.SimpleDateFormat;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JTextField;
import javax.swing.event.TableModelEvent;
import javax.swing.event.TableModelListener;
import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableModel;

/**
 *
 * @author FuadRafid
 */
public class Table extends javax.swing.JFrame implements TableModelListener{
    
    String id;
    /**
     * Creates new form TableVeiw
     */
    public Table() {
        initComponents();
        jTable1.getModel().addTableModelListener(this);
        setExtendedState(java.awt.Frame.MAXIMIZED_BOTH);
        
        
      for(int i=0;i<DataBase.Tables.size();i++)
        {
            choice1.add(DataBase.Tables.get(i));
        }
        DataBase.ExecuteQuery("Select * from arrange", Login.con);
        Show_Users_In_JTable();
        Update_system();
        //TableModel datePicker = new DatePickerTable("01011999","12302000");;
        
    }
    private void Update_system()
    {
        jTable1.addMouseListener(new java.awt.event.MouseAdapter() {
        @Override
        public void mousePressed(java.awt.event.MouseEvent evt) {
        int row = jTable1.rowAtPoint(evt.getPoint());
        int col = jTable1.columnAtPoint(evt.getPoint());
        if (row >= 0 && col >= 0) {
                TableModel model = (TableModel)jTable1.getModel();
                id=(String) model.getValueAt(row, 0);
                System.out.println(id);    
        }
        
           
        }  
        });
    
    }
    
    
      public void Show_Users_In_JTable()
   {
       
       
      DefaultTableModel model = (DefaultTableModel)jTable1.getModel();
      model.setRowCount(0);
      model.setColumnCount(0);
      for (int i = 0; i < DataBase.TableHeader.size(); i++) 
       {
           model.addColumn(DataBase.TableHeader.elementAt(i));
       }
       for(int i = 0; i < DataBase.data.size(); i++)
       {     
           model.addRow(DataBase.data.elementAt(i));
           
       }
       
       try{
      
      
           for (int i = 0; i < 10; i++) {
               jDateChoosers[i].setVisible(false);
               jTextFields[i].setVisible(false);
               jLabels[i].setText("");
           }
            for (int i = 0; i < DataBase.colNo; i++) {
               if(DataBase.colData.getColumnType(i+1)==Types.TIMESTAMP)
                   jDateChoosers[i].setVisible(true);
               jTextFields[i].setVisible(true);
               jLabels[i].setText(DataBase.TableHeader.elementAt(i));
           }
       
   ;
       }
       catch(Exception e){}
       
       }
      private void clearEntry()
      {
          for (int i = 0; i < 10; i++) {
              jTextFields[i].setText("");
          }
      }
      public void tableChanged(TableModelEvent e) {
         
         try{
        int row = e.getFirstRow();
        int column = e.getColumn();
        TableModel model = (TableModel)e.getSource();
        String columnName = model.getColumnName(column);
        String data =(String) model.getValueAt(row, column);
        if(DataBase.colData.getColumnType(column+1)==Types.TIMESTAMP)
        {
            data="to_date('"+data+"','dd-mon-yyyy')";
        }
        else if(DataBase.colData.getColumnType(column+1)==Types.NUMERIC){}
        else
        {
            data="'"+data+"'";
        }
            
        String query="UPDATE "+choice1.getSelectedItem()+" SET "+columnName+" = "+data+" where "+
                DataBase.TableHeader.elementAt(0)+"="+"'"+id+"'";
        DataBase.ExecuteQuery(query, Login.con);
        jButton1.doClick();
          System.out.println(query);
        }
        catch(Exception ex){}
    }
 

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">                          
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jButton1 = new javax.swing.JButton();
        jLabels=new javax.swing.JLabel[10];
        jButton2 = new javax.swing.JButton();
        choice1 = new java.awt.Choice();
        
        
        jDateChoosers=new JDateChooser[10];
        jTextFields=new JTextField[10];
        for (int i = 0; i < 10; i++) {
            jDateChoosers[i] = new com.toedter.calendar.JDateChooser();
           // jDateChoosers[i].setDateFormatString("dd-mm-yyyy");
//           jDateChoosers[i].setPreferredSize(new Dimension(20, 20));
//           jDateChoosers[i].setMinimumSize(new Dimension(20, 20));
//           jDateChoosers[i].setMaximumSize(new Dimension(20, 20));
            jTextFields[i]=new JTextField();
            jTextFields[i].setFont(new java.awt.Font("Arial Unicode MS", 0, 14)); // NOI18N
            jTextFields[i].setMaximumSize(new java.awt.Dimension(184, 30));
            jTextFields[i].setMinimumSize(new java.awt.Dimension(184, 30));
            jTextFields[i].setPreferredSize(new java.awt.Dimension(184, 30));
            jLabels[i]=new javax.swing.JLabel();
            
        }
        jDateChoosers[0].addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jDateChooser0PropertyChange(evt);
            }
        });
        jDateChoosers[1].addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jDateChooser1PropertyChange(evt);
            }
        });
        jDateChoosers[2].addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jDateChooser2PropertyChange(evt);
            }
        });
        jDateChoosers[3].addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jDateChooser3PropertyChange(evt);
            }
        });
        jDateChoosers[4].addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jDateChooser4PropertyChange(evt);
            }
        });
        jDateChoosers[5].addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jDateChooser5PropertyChange(evt);
            }
        });
        jDateChoosers[6].addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jDateChooser6PropertyChange(evt);
            }
        });
        jDateChoosers[7].addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jDateChooser7PropertyChange(evt);
            }
        });
        jDateChoosers[8].addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jDateChooser8PropertyChange(evt);
            }
        });
        jDateChoosers[9].addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jDateChooser9PropertyChange(evt);
            }
        });
        

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("AMBULATORY LIBRARY MANAGEMENT SOFTWARE");
        setExtendedState(6);
        setFont(new java.awt.Font("Arial Unicode MS", 0, 10)); // NOI18N
        setMinimumSize(new java.awt.Dimension(1920, 1080));

        jTable1.setFont(new java.awt.Font("Arial Unicode MS", 0, 14)); // NOI18N
        jTable1.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {

            }
        ));
        jScrollPane1.setViewportView(jTable1);

        jButton1.setText("Show Table");
        jButton1.setActionCommand("");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });
        jLabel1=new javax.swing.JLabel();
        jLabel12=new javax.swing.JLabel();
        jLabel1.setText(" Choose Table");


        jButton2.setText("Insert");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jLabel12.setFont(new java.awt.Font("Arial Unicode MS", 1, 36)); // NOI18N
        jLabel12.setText("");
        logo =new javax.swing.JLabel();
        logo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/database/Bishwo-Shahitto-Kendro-logo1.png"))); // NOI18N
      
        
        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(277, 277, 277)
                        .addComponent(jLabel1)
                        .addGap(18, 18, 18)
                        .addComponent(choice1, javax.swing.GroupLayout.PREFERRED_SIZE, 238, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButton1))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(33, 33, 33)
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 1259, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 230, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jButton2)
                        .addGap(110, 110, 110))
                     .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(logo)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jLabels[8], javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabels[9], javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabels[7], javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabels[6], javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabels[5], javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabels[4], javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabels[3], javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabels[2], javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabels[1], javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabels[0], javax.swing.GroupLayout.Alignment.LEADING))
                        .addGap(48, 48, 48)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jTextFields[1], javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFields[2], javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFields[3], javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFields[4], javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFields[5], javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFields[6], javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFields[7], javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFields[8], javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFields[9], javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFields[0], javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jDateChoosers[1], javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jDateChoosers[2], javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jDateChoosers[0], javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jDateChoosers[3], javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jDateChoosers[4], javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jDateChoosers[5], javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jDateChoosers[7], javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jDateChoosers[9], javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jDateChoosers[6], javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jDateChoosers[8], javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE))))
                        .addGap(75, 75, 75))))
            .addGroup(layout.createSequentialGroup()
                .addGap(451, 451, 451)
                .addComponent(jLabel12)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(41, 41, 41)
                .addComponent(logo)
                .addGap(43, 43, 43)
                .addComponent(jLabel12, javax.swing.GroupLayout.PREFERRED_SIZE, 75, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(66, 66, 66)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(606, 606, 606)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(choice1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jButton1)
                            .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 547, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jLabels[0])
                                .addComponent(jTextFields[0], javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jDateChoosers[0], javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(31, 31, 31)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jLabels[1])
                                .addComponent(jTextFields[1], javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jDateChoosers[1], javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(31, 31, 31)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jLabels[2])
                                .addComponent(jTextFields[2], javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jDateChoosers[2], javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(31, 31, 31)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jLabels[3])
                                .addComponent(jTextFields[3], javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jDateChoosers[3], javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(31, 31, 31)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jLabels[4])
                                .addComponent(jTextFields[4], javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jDateChoosers[4], javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(31, 31, 31)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jTextFields[5], javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addComponent(jLabels[5]))
                            .addComponent(jDateChoosers[5], javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(31, 31, 31)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jTextFields[6], javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addComponent(jLabels[6]))
                            .addComponent(jDateChoosers[6], javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(31, 31, 31)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jTextFields[7], javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addComponent(jLabels[7]))
                            .addComponent(jDateChoosers[7], javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(31, 31, 31)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jTextFields[8], javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addComponent(jLabels[8]))
                            .addComponent(jDateChoosers[8], javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(31, 31, 31)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jTextFields[9], javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addComponent(jLabels[9]))
                            .addComponent(jDateChoosers[9], javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(55, 55, 55)
                        .addComponent(jButton2)))
                .addContainerGap(154, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>                        

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {                                         
        String query=choice1.getSelectedItem();
        query="Select * from "+query;
        DataBase.ExecuteQuery(query, Login.con);
        DataBase.ExecuteQuery("Select * from "+choice1.getSelectedItem()+" order by "+DataBase.TableHeader.elementAt(0), Login.con);
        Show_Users_In_JTable();
        System.out.println(query);
        jLabel12.setText(choice1.getSelectedItem());
        clearEntry();
    }                                        
    
    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {                                         
        insertData();
    }
    private void insertData() {
        String entry[]=new String [11];
        for (int i = 0; i < 10; i++) {
            entry[i+1]=jTextFields[i].getText();
            System.out.println(entry[i+1]);
        }
       
      
        String qry="Insert into "+choice1.getSelectedItem()+" values(";
        if(choice1.getSelectedItem().equals("EMPLOYEE"))
            DataBase.colNo--;
        for(int i=1;i<=DataBase.colNo;i++)
        {
            String extra;
            try {
                if(DataBase.colData.getColumnType(i)==Types.TIMESTAMP)
                {
                    
                    extra=",to_date('"+entry[i]+"','dd-mm-yyyy')";
                    if(i==1)
                        extra=extra.replaceFirst(",", "");
                    qry=qry+extra;
                }
               
                else if(DataBase.colData.getColumnType(i)==Types.NUMERIC)
                        {
                          
                          extra= ","+entry[i];;
                            if(i==1)
                        extra=extra.replaceFirst(",", "");
                            qry=qry+extra;
                        }
                else{
                    extra=",'"+entry[i]+"'";
                            if(i==1)
                        extra=extra.replaceFirst(",", "");
                    qry=qry+extra;
                }
                System.out.println(entry[i]);
                  
                System.out.println(DataBase.colData.getColumnType(i));
                System.out.println(DataBase.colData.getColumnTypeName(i));
            } catch (SQLException ex) {
                Logger.getLogger(TableView.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
         if(choice1.getSelectedItem().equals("EMPLOYEE"))
             qry=qry+",'NA'";
         qry=qry+")";
        System.out.println(qry);
        DataBase.ExecuteQuery(qry, Login.con);
        //System.out.println(DataBase.TableHeader.elementAt(0));
        System.out.println(DataBase.TableHeader);
        DataBase.ExecuteQuery("Select * from "+choice1.getSelectedItem(), Login.con);
        Show_Users_In_JTable();
    }
    
    private void jDateChooser0PropertyChange(java.beans.PropertyChangeEvent evt) {                                             
        try{
        SimpleDateFormat sd= new SimpleDateFormat("dd-LLL-yyyy");
        String date=sd.format(jDateChoosers[0].getDate());
        jTextFields[0].setText(date);
        }
        catch(Exception ex){}
    }
      private void jDateChooser1PropertyChange(java.beans.PropertyChangeEvent evt) {                                             
        try{
        SimpleDateFormat sd= new SimpleDateFormat("dd-LLL-yyyy");
        String date=sd.format(jDateChoosers[1].getDate());
        jTextFields[1].setText(date);
        }
        catch(Exception ex){}
    }
      private void jDateChooser2PropertyChange(java.beans.PropertyChangeEvent evt) {                                             
        try{
        SimpleDateFormat sd= new SimpleDateFormat("dd-LLL-yyyy");
        String date=sd.format(jDateChoosers[2].getDate());
        jTextFields[2].setText(date);
        }
        catch(Exception ex){}
    }
      private void jDateChooser3PropertyChange(java.beans.PropertyChangeEvent evt) {                                             
        try{
        SimpleDateFormat sd= new SimpleDateFormat("dd-LLL-yyyy");
        String date=sd.format(jDateChoosers[3].getDate());
        jTextFields[3].setText(date);
        }
        catch(Exception ex){}
    }
     private void jDateChooser4PropertyChange(java.beans.PropertyChangeEvent evt) {                                             
        try{
        SimpleDateFormat sd= new SimpleDateFormat("dd-LLL-yyyy");
        String date=sd.format(jDateChoosers[4].getDate());
        jTextFields[4].setText(date);
            System.out.println(jTextFields[4].getText());
        
        }
        catch(Exception ex){}
    }
     private void jDateChooser5PropertyChange(java.beans.PropertyChangeEvent evt) {                                             
        try{
        SimpleDateFormat sd= new SimpleDateFormat("dd-LLL-yyyy");
        String date=sd.format(jDateChoosers[5].getDate());
        jTextFields[5].setText(date);
        
        }
        catch(Exception ex){}
    }
     private void jDateChooser6PropertyChange(java.beans.PropertyChangeEvent evt) {                                             
        try{
        SimpleDateFormat sd= new SimpleDateFormat("dd-LLL-yyyy");
        String date=sd.format(jDateChoosers[6].getDate());
        jTextFields[6].setText(date);
        }
        catch(Exception ex){}
    }
     private void jDateChooser7PropertyChange(java.beans.PropertyChangeEvent evt) {                                             
        try{
        SimpleDateFormat sd= new SimpleDateFormat("dd-LLL-yyyy");
        String date=sd.format(jDateChoosers[7].getDate());
        jTextFields[7].setText(date);
        }
        catch(Exception ex){}
    }
     private void jDateChooser8PropertyChange(java.beans.PropertyChangeEvent evt) {                                             
        try{
        SimpleDateFormat sd= new SimpleDateFormat("dd-LLL-yyyy");
        String date=sd.format(jDateChoosers[8].getDate());
        jTextFields[8].setText(date);
        }
        catch(Exception ex){}
    }
   
     private void jDateChooser9PropertyChange(java.beans.PropertyChangeEvent evt) {                                             
        try{
        SimpleDateFormat sd= new SimpleDateFormat("dd-LLL-yyyy");
        String date=sd.format(jDateChoosers[9].getDate());
        jTextFields[9].setText(date);
        }
        catch(Exception ex){}
    }

   
    /**
     * @param args the command line arguments
     */
//    public static void main(String args[]) {
//        /* Set the Nimbus look and feel */
//        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
//        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
//         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
//         */
//        try {
//            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
//                if ("Nimbus".equals(info.getName())) {
//                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
//                    break;
//                }
//            }
//        } catch (ClassNotFoundException ex) {
//            java.util.logging.Logger.getLogger(TableView.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
//        } catch (InstantiationException ex) {
//            java.util.logging.Logger.getLogger(TableView.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
//        } catch (IllegalAccessException ex) {
//            java.util.logging.Logger.getLogger(TableView.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
//        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
//            java.util.logging.Logger.getLogger(TableView.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
//        }
//        //</editor-fold>
//        //</editor-fold>
//
//        /* Create and display the form */
//        java.awt.EventQueue.invokeLater(new Runnable() {
//            public void run() {
//                con=DataBase.connectorDB();
//                new Table().setVisible(true);
//             
//            }
//        });
//        
//    }

    // Variables declaration - do not modify                     
    private java.awt.Choice choice1;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private com.toedter.calendar.JDateChooser jDateChoosers[];
    private javax.swing.JLabel jLabels[];
    private javax.swing.JLabel jLabel1,jLabel12,logo;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable jTable1;
    private javax.swing.JTextField jTextFields[];
    
    // End of variables declaration                   
    private TableColumnAdjuster adjuster;

    
}
